Subject: [Shop-talk] Deck Coating

From: John Mitchell <[email-masked]>
Date: Fri, 11 May 2012 18:48:05 -0400

Last fall we put up a new deck with mahogany floor boards and 
everything else cedar.  I coated everything with Benjamin Moore Alkyd 
translucent Deck and Siding finish.  To make  a long story short, it 
didn't hold up.  I can see areas on the floor boards where the coating 
has just disappeared and these are on areas that get little or no 
traffic.  Can anyone make a suggestion for another finish I can put on 
top of this, that will hold up better.  I was told I'd get a least 2 
years out of this finish and that's what I'm shooting for.  Thanks for 
any help,   John Mitchell   Shelton, CT
_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.96
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/shop-talk/[email-masked]